Subscription 5 endpoints

GET /api/v1/roles/{roleTypeOrRoleId}/subscriptions/{notificationType}

When roleType Get subscriptions of a Role with a specific notification type. Else when roleId Get subscription of a Custom Role with a specific notification type.

operationId: Subscription_getRoleSubscriptionsByNotificationType

Parameters

Name In Required Type Description
roleTypeOrRoleId path required string
notificationType path required string

Responses

200

Success

404

Not Found

GET /api/v1/roles/{roleTypeOrRoleId}/subscriptions/{notificationType}
POST /api/v1/roles/{roleTypeOrRoleId}/subscriptions/{notificationType}/subscribe

When roleType Subscribes a Role to a specific notification type. When you change the subscription status of a Role, it overrides the subscription of any individual user of that Role. Else when roleId Subscribes a Custom Role to a specific notification type. When you change the subscription status of a Custom Role, it overrides the subscription of any individual user of that Custom Role.

operationId: Subscription_roleNotificationSubscribe

Parameters

Name In Required Type Description
roleTypeOrRoleId path required string
notificationType path required string

Responses

200

Success

404

Not Found

POST /api/v1/roles/{roleTypeOrRoleId}/subscriptions/{notificationType}/subscribe
POST /api/v1/roles/{roleTypeOrRoleId}/subscriptions/{notificationType}/unsubscribe

When roleType Unsubscribes a Role from a specific notification type. When you change the subscription status of a Role, it overrides the subscription of any individual user of that Role. Else when roleId Unsubscribes a Custom Role from a specific notification type. When you change the subscription status of a Custom Role, it overrides the subscription of any individual user of that Custom Role.

operationId: Subscription_customRoleNotificationUnsubscribe

Parameters

Name In Required Type Description
roleTypeOrRoleId path required string
notificationType path required string

Responses

200

Success

404

Not Found

POST /api/v1/roles/{roleTypeOrRoleId}/subscriptions/{notificationType}/unsubscribe
POST /api/v1/users/{userId}/subscriptions/{notificationType}/subscribe

Subscribes a User to a specific notification type. Only the current User can subscribe to a specific notification type. An AccessDeniedException message is sent if requests are made from other users.

operationId: Subscription_userNotificationSubscribe

Parameters

Name In Required Type Description
userId path required string
notificationType path required string

Responses

200

Success

404

Not Found

POST /api/v1/users/{userId}/subscriptions/{notificationType}/subscribe
POST /api/v1/users/{userId}/subscriptions/{notificationType}/unsubscribe

Unsubscribes a User from a specific notification type. Only the current User can unsubscribe from a specific notification type. An AccessDeniedException message is sent if requests are made from other users.

operationId: Subscription_unsubscribeUserSubscriptionByNotificationType

Parameters

Name In Required Type Description
userId path required string
notificationType path required string

Responses

200

Success

404

Not Found

POST /api/v1/users/{userId}/subscriptions/{notificationType}/unsubscribe

Template 6 endpoints

GET /api/v1/templates/sms

Enumerates custom SMS templates in your organization. A subset of templates can be returned that match a template type.

operationId: Template_enumerateSmsTemplates

Parameters

Name In Required Type Description
templateType query optional string

Responses

200

Success

GET /api/v1/templates/sms
POST /api/v1/templates/sms

Adds a new custom SMS template to your organization.

operationId: Template_addNewCustomSms

Request Body

application/json
schema SmsTemplate
Property Type Required
id string optional
name string optional
type string optional
created string optional
template string optional
lastUpdated string optional
translations object optional

Responses

200

Success

POST /api/v1/templates/sms
DELETE /api/v1/templates/sms/{templateId}

Removes an SMS template.

operationId: Template_removeSms

Parameters

Name In Required Type Description
templateId path required string

Responses

204

No Content

DELETE /api/v1/templates/sms/{templateId}
GET /api/v1/templates/sms/{templateId}

Fetches a specific template by id

operationId: Template_getById

Parameters

Name In Required Type Description
templateId path required string

Responses

200

Success

GET /api/v1/templates/sms/{templateId}
POST /api/v1/templates/sms/{templateId}

Updates only some of the SMS template properties:

operationId: Template_partialSmsUpdate

Parameters

Name In Required Type Description
templateId path required string

Request Body

application/json
schema SmsTemplate
Property Type Required
id string optional
name string optional
type string optional
created string optional
template string optional
lastUpdated string optional
translations object optional

Responses

200

Success

POST /api/v1/templates/sms/{templateId}
PUT /api/v1/templates/sms/{templateId}

Updates the SMS template.

operationId: Template_updateSmsTemplate

Parameters

Name In Required Type Description
templateId path required string

Request Body

application/json
schema SmsTemplate
Property Type Required
id string optional
name string optional
type string optional
created string optional
template string optional
lastUpdated string optional
translations object optional

Responses

200

Success

PUT /api/v1/templates/sms/{templateId}

Threatinsight 2 endpoints

GET /api/v1/threats/configuration

Gets current ThreatInsight configuration

operationId: ThreatInsight_getCurrentConfiguration

Responses

200

Success

GET /api/v1/threats/configuration
POST /api/v1/threats/configuration

Updates ThreatInsight configuration

operationId: ThreatInsight_updateConfiguration

Request Body

required
application/json
schema ThreatInsightConfiguration

Responses

200

Success

POST /api/v1/threats/configuration

Trustedorigin 7 endpoints

GET /api/v1/trustedOrigins

Success

operationId: TrustedOrigin_getList

Parameters

Name In Required Type Description
q query optional string
filter query optional string
after query optional string
limit query optional integer

Responses

200

Success

GET /api/v1/trustedOrigins
POST /api/v1/trustedOrigins

Success

operationId: TrustedOrigin_createSuccess

Request Body

application/json
schema TrustedOrigin
Property Type Required
id string optional
name string optional
_links object optional
origin string optional
scopes array optional
type string optional
stringValue string optional
allowedOktaApps array optional
status string optional
created string optional
createdBy string optional
lastUpdated string optional
lastUpdatedBy string optional

Responses

200

Success

POST /api/v1/trustedOrigins
DELETE /api/v1/trustedOrigins/{trustedOriginId}

Success

operationId: TrustedOrigin_deleteSuccess

Parameters

Name In Required Type Description
trustedOriginId path required string

Responses

200

Success

DELETE /api/v1/trustedOrigins/{trustedOriginId}
GET /api/v1/trustedOrigins/{trustedOriginId}

Success

operationId: TrustedOrigin_getSuccessById

Parameters

Name In Required Type Description
trustedOriginId path required string

Responses

200

Success

GET /api/v1/trustedOrigins/{trustedOriginId}
PUT /api/v1/trustedOrigins/{trustedOriginId}

Success

operationId: TrustedOrigin_updateSuccess

Parameters

Name In Required Type Description
trustedOriginId path required string

Request Body

application/json
schema TrustedOrigin
Property Type Required
id string optional
name string optional
_links object optional
origin string optional
scopes array optional
type string optional
stringValue string optional
allowedOktaApps array optional
status string optional
created string optional
createdBy string optional
lastUpdated string optional
lastUpdatedBy string optional

Responses

200

Success

PUT /api/v1/trustedOrigins/{trustedOriginId}
POST /api/v1/trustedOrigins/{trustedOriginId}/lifecycle/activate

Success

operationId: TrustedOrigin_activateLifecycleSuccess

Parameters

Name In Required Type Description
trustedOriginId path required string

Responses

200

Success

POST /api/v1/trustedOrigins/{trustedOriginId}/lifecycle/activate
POST /api/v1/trustedOrigins/{trustedOriginId}/lifecycle/deactivate

Success

operationId: TrustedOrigin_deactivateLifecycleSuccess

Parameters

Name In Required Type Description
trustedOriginId path required string

Responses

200

Success

POST /api/v1/trustedOrigins/{trustedOriginId}/lifecycle/deactivate

User 30 endpoints

GET /api/v1/users

Lists users that do not have a status of ‘DEPROVISIONED’ (by default), up to the maximum (200 for most orgs), with pagination in most cases. A subset of users can be returned that match a supported filter expression or search criteria.

operationId: User_listActiveUsers

Parameters

Name In Required Type Description
q query optional string

Finds a user that matches firstName, lastName, and email properties

after query optional string

Specifies the pagination cursor for the next page of users

limit query optional integer

Specifies the number of results returned

filter query optional string

Filters users with a supported expression for a subset of properties

search query optional string

Searches for users with a supported filtering expression for most properties

sortBy query optional string
sortOrder query optional string

Responses

200

Success

GET /api/v1/users
POST /api/v1/users

Creates a new user in your Okta organization with or without credentials.

operationId: User_createNewUser

Parameters

Name In Required Type Description
activate query optional boolean

Executes activation lifecycle operation when creating the user

provider query optional boolean

Indicates whether to create a user with a specified authentication provider

nextLogin query optional string

With activate=true, set nextLogin to “changePassword” to have the password be EXPIRED, so user must change it the next time they log in.

Request Body

required
application/json
schema CreateUserRequest
Property Type Required
type object optional
id string optional
name string optional
_links object optional
created string optional
default boolean optional
createdBy string optional
description string optional
displayName string optional
lastUpdated string optional
lastUpdatedBy string optional
profile object optional
city string optional
email string optional
login string optional
state string optional
title string optional
locale string optional
manager string optional
zipCode string optional
division string optional
lastName string optional
nickName string optional
timezone string optional
userType string optional
firstName string optional
managerId string optional
costCenter string optional
department string optional
middleName string optional
profileUrl string optional
countryCode string optional
…11 more object optional
groupIds array optional
credentials object optional
password object optional
hash object optional
salt string optional
value string optional
algorithm string optional
saltOrder string optional
workFactor integer optional
hook object optional
type string optional
value string optional
provider object optional
name string optional
type string optional
recovery_question object optional
answer string optional
question string optional

Responses

200

Success

POST /api/v1/users
PUT /api/v1/users/{associatedUserId}/linkedObjects/{primaryRelationshipName}/{primaryUserId}
operationId: User_updateLinkedObject

Parameters

Name In Required Type Description
associatedUserId path required string
primaryRelationshipName path required string
primaryUserId path required string

Responses

204

Success

PUT /api/v1/users/{associatedUserId}/linkedObjects/{primaryRelationshipName}/{primaryUserId}
DELETE /api/v1/users/{userId}

Deletes a user permanently. This operation can only be performed on users that have a DEPROVISIONED status. This action cannot be recovered!

operationId: User_deletePermanently

Parameters

Name In Required Type Description
userId path required string
sendEmail query optional boolean

Responses

202

ACCEPTED

DELETE /api/v1/users/{userId}
GET /api/v1/users/{userId}

Fetches a user from your Okta organization.

operationId: User_getOktaUser

Parameters

Name In Required Type Description
userId path required string

Responses

200

Success

GET /api/v1/users/{userId}
POST /api/v1/users/{userId}

Update a user’s profile or credentials with partial update semantics.

operationId: User_updateProfile

Parameters

Name In Required Type Description
userId path required string
strict query optional boolean

Request Body

application/json
schema User
Property Type Required
id string optional
type object optional
id string optional
name string optional
_links object optional
created string optional
default boolean optional
createdBy string optional
description string optional
displayName string optional
lastUpdated string optional
lastUpdatedBy string optional
_links object optional
status string optional
created string optional
profile object optional
city string optional
email string optional
login string optional
state string optional
title string optional
locale string optional
manager string optional
zipCode string optional
division string optional
lastName string optional
nickName string optional
timezone string optional
userType string optional
firstName string optional
managerId string optional
costCenter string optional
department string optional
middleName string optional
profileUrl string optional
countryCode string optional
…11 more object optional
_embedded object optional
activated string optional
lastLogin string optional
credentials object optional
password object optional
hash object optional
salt string optional
value string optional
algorithm string optional
saltOrder string optional
workFactor integer optional
hook object optional
type string optional
value string optional
provider object optional
name string optional
type string optional
recovery_question object optional
answer string optional
question string optional
lastUpdated string optional
statusChanged string optional
passwordChanged string optional
transitioningToStatus string optional

Responses

200

Success

POST /api/v1/users/{userId}
PUT /api/v1/users/{userId}

Update a user’s profile and/or credentials using strict-update semantics.

operationId: User_updateProfile

Parameters

Name In Required Type Description
userId path required string
strict query optional boolean

Request Body

application/json
schema User
Property Type Required
id string optional
type object optional
id string optional
name string optional
_links object optional
created string optional
default boolean optional
createdBy string optional
description string optional
displayName string optional
lastUpdated string optional
lastUpdatedBy string optional
_links object optional
status string optional
created string optional
profile object optional
city string optional
email string optional
login string optional
state string optional
title string optional
locale string optional
manager string optional
zipCode string optional
division string optional
lastName string optional
nickName string optional
timezone string optional
userType string optional
firstName string optional
managerId string optional
costCenter string optional
department string optional
middleName string optional
profileUrl string optional
countryCode string optional
…11 more object optional
_embedded object optional
activated string optional
lastLogin string optional
credentials object optional
password object optional
hash object optional
salt string optional
value string optional
algorithm string optional
saltOrder string optional
workFactor integer optional
hook object optional
type string optional
value string optional
provider object optional
name string optional
type string optional
recovery_question object optional
answer string optional
question string optional
lastUpdated string optional
statusChanged string optional
passwordChanged string optional
transitioningToStatus string optional

Responses

200

Success

PUT /api/v1/users/{userId}
GET /api/v1/users/{userId}/appLinks

Fetches appLinks for all direct or indirect (via group membership) assigned applications.

operationId: User_listAssignedAppLinks

Parameters

Name In Required Type Description
userId path required string

Responses

200

Success

GET /api/v1/users/{userId}/appLinks
GET /api/v1/users/{userId}/clients

Lists all client resources for which the specified user has grants or tokens.

operationId: User_listClients

Parameters

Name In Required Type Description
userId path required string

Responses

200

Success

GET /api/v1/users/{userId}/clients
DELETE /api/v1/users/{userId}/clients/{clientId}/grants

Revokes all grants for the specified user and client

operationId: User_revokeGrantsForUserAndClient

Parameters

Name In Required Type Description
userId path required string
clientId path required string

Responses

204

No Content

DELETE /api/v1/users/{userId}/clients/{clientId}/grants
GET /api/v1/users/{userId}/clients/{clientId}/grants

Lists all grants for a specified user and client

operationId: User_listGrantsForClient

Parameters

Name In Required Type Description
userId path required string
clientId path required string
expand query optional string
after query optional string
limit query optional integer

Responses

200

Success

GET /api/v1/users/{userId}/clients/{clientId}/grants
DELETE /api/v1/users/{userId}/clients/{clientId}/tokens

Revokes all refresh tokens issued for the specified User and Client.

operationId: User_revokeAllTokens

Parameters

Name In Required Type Description
userId path required string
clientId path required string

Responses

204

No Content

DELETE /api/v1/users/{userId}/clients/{clientId}/tokens
GET /api/v1/users/{userId}/clients/{clientId}/tokens

Lists all refresh tokens issued for the specified User and Client.

operationId: User_listRefreshTokensForUserAndClient

Parameters

Name In Required Type Description
userId path required string
clientId path required string
expand query optional string
after query optional string
limit query optional integer

Responses

200

Success

GET /api/v1/users/{userId}/clients/{clientId}/tokens
DELETE /api/v1/users/{userId}/clients/{clientId}/tokens/{tokenId}

Revokes the specified refresh token.

operationId: User_revokeTokenForClient

Parameters

Name In Required Type Description
userId path required string
clientId path required string
tokenId path required string

Responses

204

No Content

DELETE /api/v1/users/{userId}/clients/{clientId}/tokens/{tokenId}
GET /api/v1/users/{userId}/clients/{clientId}/tokens/{tokenId}

Gets a refresh token issued for the specified User and Client.

operationId: User_getClientRefreshToken

Parameters

Name In Required Type Description
userId path required string
clientId path required string
tokenId path required string
expand query optional string
limit query optional integer
after query optional string

Responses

200

Success

GET /api/v1/users/{userId}/clients/{clientId}/tokens/{tokenId}
POST /api/v1/users/{userId}/credentials/change_password

Changes a user’s password by validating the user’s current password. This operation can only be performed on users in STAGED, ACTIVE, PASSWORD_EXPIRED, or RECOVERY status that have a valid password credential

operationId: User_changePasswordValidation

Parameters

Name In Required Type Description
userId path required string
strict query optional boolean

Request Body

required
application/json
schema ChangePasswordRequest
Property Type Required
newPassword object optional
hash object optional
salt string optional
value string optional
algorithm string optional
saltOrder string optional
workFactor integer optional
hook object optional
type string optional
value string optional
oldPassword object optional
hash object optional
salt string optional
value string optional
algorithm string optional
saltOrder string optional
workFactor integer optional
hook object optional
type string optional
value string optional

Responses

200

Success

POST /api/v1/users/{userId}/credentials/change_password
POST /api/v1/users/{userId}/credentials/change_recovery_question

Changes a user’s recovery question & answer credential by validating the user’s current password. This operation can only be performed on users in STAGED, ACTIVE or RECOVERY status that have a valid password credential

operationId: User_updateRecoveryQuestion

Parameters

Name In Required Type Description
userId path required string

Request Body

required
application/json
schema UserCredentials
Property Type Required
password object optional
hash object optional
salt string optional
value string optional
algorithm string optional
saltOrder string optional
workFactor integer optional
hook object optional
type string optional
value string optional
provider object optional
name string optional
type string optional
recovery_question object optional
answer string optional
question string optional

Responses

200

Success

POST /api/v1/users/{userId}/credentials/change_recovery_question
POST /api/v1/users/{userId}/credentials/forgot_password
operationId: User_forgotPassword

Parameters

Name In Required Type Description
userId path required string

Responses

200

Success

POST /api/v1/users/{userId}/credentials/forgot_password
DELETE /api/v1/users/{userId}/grants

Revokes all grants for a specified user

operationId: User_revokeGrants

Parameters

Name In Required Type Description
userId path required string

Responses

204

No Content

DELETE /api/v1/users/{userId}/grants
GET /api/v1/users/{userId}/grants

Lists all grants for the specified user

operationId: User_listGrants

Parameters

Name In Required Type Description
userId path required string
scopeId query optional string
expand query optional string
after query optional string
limit query optional integer

Responses

200

Success

GET /api/v1/users/{userId}/grants
DELETE /api/v1/users/{userId}/grants/{grantId}

Revokes one grant for a specified user

operationId: User_revokeGrant

Parameters

Name In Required Type Description
userId path required string
grantId path required string

Responses

204

No Content

DELETE /api/v1/users/{userId}/grants/{grantId}
GET /api/v1/users/{userId}/grants/{grantId}

Gets a grant for the specified user

operationId: User_getGrantById

Parameters

Name In Required Type Description
userId path required string
grantId path required string
expand query optional string

Responses

200

Success

GET /api/v1/users/{userId}/grants/{grantId}
GET /api/v1/users/{userId}/groups

Fetches the groups of which the user is a member.

operationId: User_getMemberGroups

Parameters

Name In Required Type Description
userId path required string

Responses

200

Success

GET /api/v1/users/{userId}/groups
GET /api/v1/users/{userId}/idps

Lists the IdPs associated with the user.

operationId: User_listIdpsForUser

Parameters

Name In Required Type Description
userId path required string

Responses

200

Success

GET /api/v1/users/{userId}/idps
POST /api/v1/users/{userId}/lifecycle/activate

Activates a user. This operation can only be performed on users with a STAGED status. Activation of a user is an asynchronous operation. The user will have the transitioningToStatus property with a value of ACTIVE during activation to indicate that the user hasn’t completed the asynchronous operation. The user will have a status of ACTIVE when the activation process is complete.

operationId: User_activateLifecycle

Parameters

Name In Required Type Description
userId path required string
sendEmail query required boolean

Sends an activation email to the user if true

Responses

200

Success

POST /api/v1/users/{userId}/lifecycle/activate
POST /api/v1/users/{userId}/lifecycle/deactivate

Deactivates a user. This operation can only be performed on users that do not have a DEPROVISIONED status. While the asynchronous operation (triggered by HTTP header Prefer: respond-async) is proceeding the user’s transitioningToStatus property is DEPROVISIONED. The user’s status is DEPROVISIONED when the deactivation process is complete.

operationId: User_deactivateLifecycle

Parameters

Name In Required Type Description
userId path required string
sendEmail query optional boolean

Responses

200

OK

POST /api/v1/users/{userId}/lifecycle/deactivate
POST /api/v1/users/{userId}/lifecycle/expire_password?tempPassword=false

This operation transitions the user to the status of PASSWORD_EXPIRED so that the user is required to change their password at their next login.

operationId: User_expirePasswordAndGetTemporaryPassword

Parameters

Name In Required Type Description
userId path required string

Responses

200

Success

POST /api/v1/users/{userId}/lifecycle/expire_password?tempPassword=false
POST /api/v1/users/{userId}/lifecycle/expire_password?tempPassword=true

This operation transitions the user to the status of PASSWORD_EXPIRED and the user’s password is reset to a temporary password that is returned.

operationId: User_expirePasswordAndTemporaryPassword

Parameters

Name In Required Type Description
userId path required string

Responses

200

Success

POST /api/v1/users/{userId}/lifecycle/expire_password?tempPassword=true
POST /api/v1/users/{userId}/lifecycle/reactivate

Reactivates a user. This operation can only be performed on users with a PROVISIONED status. This operation restarts the activation workflow if for some reason the user activation was not completed when using the activationToken from Activate User.

operationId: User_reactivateUser

Parameters

Name In Required Type Description
userId path required string
sendEmail query optional boolean

Sends an activation email to the user if true

Responses

200

Success

POST /api/v1/users/{userId}/lifecycle/reactivate
POST /api/v1/users/{userId}/lifecycle/reset_factors

This operation resets all factors for the specified user. All MFA factor enrollments returned to the unenrolled state. The user’s status remains ACTIVE. This link is present only if the user is currently enrolled in one or more MFA factors.

operationId: User_resetFactorsOperation

Parameters

Name In Required Type Description
userId path required string

Responses

200

OK

POST /api/v1/users/{userId}/lifecycle/reset_factors
Load more endpoints